[21.04 FEAT] NVMe IPL Load Normal support - kernel

Bug #1887921 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
linux (Ubuntu)
Fix Released
Undecided
Frank Heimes

Bug Description

Re-IPL for NVMe is currently done by using diag 308 with the "Load Clear" subcode, which means that all memory will be cleared.
This can increase re-IPL duration considerably on very large machines.

For list-directed IPL like NVMe or FCP IPL, a "Load Normal" subcode was introduced with z14. The "Load Normal" diag 308 subcode allows to re-IPL without clearing memory.

This feature adds kernel and s390-tools support for a new "clear" sysfs attribute in /sys/firmware/reipl/nvme, which can be set to either "0" or "1" to disable or enable re-IPL with memory clearing. The default value is "0", which disables memory clearing.

Feature request for kernel contribution.
Target kernel >= 5.9. Therefore a backport need to be provided

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-186915 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Incomplete until code got released upstream (and potential backport was made available, in case cherry-pick is not possible).

Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Revision history for this message
Frank Heimes (fheimes) wrote :

And btw. this can be very tight in time: "kernel >= 5.9"

Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
summary: - [20.10 FEAT] NVMe IPL Load Normal support - kernel
+ [21.04 FEAT] NVMe IPL Load Normal support - kernel
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-08 05:51 EDT-------
Feature request moved to 21.04, will not make it in time for 20.10

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Frank Heimes (fheimes)
Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-10-29 04:10 EDT-------
The kernel part of this feature is available with kernel 5.10.
Integration into 21.04 via kernel upgrade to kernel 5.11.

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Frank Heimes (fheimes)
Revision history for this message
Frank Heimes (fheimes) wrote :

Since 5.10 landed in hirsute-proposed I'm updating this ticket to Fix Committed.

Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
Revision history for this message
Frank Heimes (fheimes) wrote :

Now that kernel 5.10 landed in hirsute's release pocket:
linux-generic | 5.10.0.14.16 | hirsute
this ticket is completed, hence the status is updated to 'Fix Released".

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-22 03:23 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers